org.apache.lucene.queryParser.core.processors

## Class QueryNodeProcessorPipeline

- java.lang.Object
- - org.apache.lucene.queryParser.core.processors.QueryNodeProcessorPipeline

- All Implemented Interfaces:
    QueryNodeProcessor
  Direct Known Subclasses:
    StandardQueryNodeProcessorPipeline

      public class QueryNodeProcessorPipeline
      extends java.lang.Object
      implements QueryNodeProcessor

  A `QueryNodeProcessorPipeline` class should be used to build a query node processor pipeline. When a query node tree is processed using this class, it passes the query node tree to each processor on the pipeline and the result from each processor is passed to the next one, always following the order the processors were on the pipeline. When a `QueryConfigHandler` object is set on a `QueryNodeProcessorPipeline`, it takes care of also setting this `QueryConfigHandler` on all processor on pipeline.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryNodeProcessorPipeline()` Constructs an empty query node processor pipeline.
    `QueryNodeProcessorPipeline(QueryConfigHandler queryConfigHandler)` Constructs with a `QueryConfigHandler` object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcessor(QueryNodeProcessor processor)` Adds a processor to the pipeline, it's always added to the end of the pipeline.
    `QueryConfigHandler` | `getQueryConfigHandler()` For reference about this method check: `QueryNodeProcessor.getQueryConfigHandler()`.
    `QueryNode` | `process(QueryNode queryTree)` For reference about this method check: `QueryNodeProcessor.process(QueryNode)`.
    `void` | `setQueryConfigHandler(QueryConfigHandler queryConfigHandler)` For reference about this method check: `QueryNodeProcessor.setQueryConfigHandler(QueryConfigHandler)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryNodeProcessorPipeline

          public QueryNodeProcessorPipeline()

      Constructs an empty query node processor pipeline.

    - #### QueryNodeProcessorPipeline

          public QueryNodeProcessorPipeline(QueryConfigHandler queryConfigHandler)

      Constructs with a `QueryConfigHandler` object.

  - ### Method Detail

    - #### getQueryConfigHandler

          public QueryConfigHandler getQueryConfigHandler()

      For reference about this method check: `QueryNodeProcessor.getQueryConfigHandler()`.
      Specified by:
        `getQueryConfigHandler` in interface `QueryNodeProcessor`
      Returns:
        QueryConfigHandler the query configuration handler to be set.
      See Also:
        `QueryNodeProcessor.setQueryConfigHandler(QueryConfigHandler)`, `QueryConfigHandler`

    - #### process

          public QueryNode process(QueryNode queryTree)
                            throws QueryNodeException

      For reference about this method check: `QueryNodeProcessor.process(QueryNode)`.
      Specified by:
        `process` in interface `QueryNodeProcessor`
      Parameters:
        `queryTree` - the query node tree to be processed
      Returns:
        the processed query tree
      Throws:
        `QueryNodeException` - if something goes wrong during the query node processing
      See Also:
        `QueryNode`

    - #### addProcessor

          public void addProcessor(QueryNodeProcessor processor)

      Adds a processor to the pipeline, it's always added to the end of the pipeline.
      Parameters:
        `processor` - the processor to be added

    - #### setQueryConfigHandler

          public void setQueryConfigHandler(QueryConfigHandler queryConfigHandler)

      For reference about this method check: `QueryNodeProcessor.setQueryConfigHandler(QueryConfigHandler)`.
      Specified by:
        `setQueryConfigHandler` in interface `QueryNodeProcessor`
      Parameters:
        `queryConfigHandler` - the query configuration handler to be set.
      See Also:
        `QueryNodeProcessor.getQueryConfigHandler()`, `QueryConfigHandler`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.